Skip to navigation

Get ResultSchema by ID

Beta
Get a single ResultSchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

result_schema_idstringRequired
ID of the ResultSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstring or nullOptional
fieldDefinitionsstringOptionalformat: "uri"
Defines the metadata fields for results belonging to this schema
idstringOptional
modifiedAtstring or nullOptional
DateTime the Result Schema was last modified
namestringOptional
organizationobject or nullOptional
The organization that owns the schema
systemNamestringOptional

The unique, machine-readable identifier for warehouse and API access.

Errors

400
Result Schema Get Request Bad Request Error
403
Result Schema Get Request Forbidden Error
404
Result Schema Get Request Not Found Error
429
Result Schema Get Request Too Many Requests Error
500
Result Schema Get Request Internal Server Error